# StoneSet.Type
Date: 2011-05-10

## jrummikub.model
Enum StoneSet.Type

    java.lang.Object
      java.lang.Enum<StoneSet.Type>
          jrummikub.model.StoneSet.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StoneSet.Type>

Enclosing class:
  StoneSet

    public static enum StoneSet.Type

extends java.lang.Enum<StoneSet.Type>

Validity type of the set

Enum Constant Summary
`GROUP` Set is a valid group
`INVALID` Set is invalid
`RUN` Set is a valid run

Method Summary
`static StoneSet.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StoneSet.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GROUP

    public static final StoneSet.Type GROUP

  Set is a valid group

### RUN

    public static final StoneSet.Type RUN

  Set is a valid run

### INVALID

    public static final StoneSet.Type INVALID

  Set is invalid

Method Detail

### values

    public static StoneSet.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StoneSet.Type c : StoneSet.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StoneSet.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null